Table of Contents

Class: Client | Twisted-0.19.0/twisted/internet/ssl.py
--- | ---
I am an SSL client.
Base Classes |
--- | ---
Connection tcp.Connection tcp.Client
Methods |
--- | ---
__init__ createInternetSocket getHost getPeer
| __init__
    __init__ (
            self,
            host,
            port,
            protocol,
            ctxFactory,
            timeout=None,
            connector=None,
            )
| createInternetSocket
    createInternetSocket ( self )
(internal) create an SSL socket
| getHost
    getHost ( self )
### Returns a tuple of (`SSL`, hostname, port). This indicates the address from which I am connecting.
| getPeer
    getPeer ( self )
### Returns a tuple of (`SSL`, hostname, port). This indicates the address that I am connected to. I implement twisted.protocols.protocol.Transport.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0